Skip to main content
`Ctrl`+`K`

# PetscBenchViewFromOptions

Processes command line options to determine if/how a `PetscBench` is to be viewed.

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchViewFromOptions(PetscBench bm, PetscObject bobj, const char name[])

Collective

## Input Parameters

- bm - the object

- bobj - optional other object that provides prefix (if `NULL` then the prefix in `bm` is used)

- name - option to activate viewing

## Options Database Key

- -name [viewertype][:…] - option name and values. See `PetscObjectViewFromOptions()` for the possible arguments

## See Also

`PetscBench`, `PetscBenchSetFromOptions()`, `PetscBenchRun()`, `PetscBenchCreate()`, `PetscBenchDestroy()`, `PetscBenchSetUp()`, `PetscBenchSetType()`, `PetscBenchSetSize()`, `PetscBenchGetSize()`, `PetscObjectViewFromOptions()`, `PetscViewer`, `PetscBenchView()`

## Level

advanced

## Location

src/sys/classes/bm/interface/bm.c

Index of all BM routines
Table of Contents for all manual pages
Index of all manual pages